# module IO::Evented

##
Defined in:

io/evented.cr

##
Instance Method Summary

- #evented_close : Nil
- #evented_read(slice : Bytes, errno_msg : String, &) : Int32
- #evented_reopen : Nil
- #evented_send(slice : Bytes, errno_msg : String, &) : Int32
- #evented_write(slice : Bytes, errno_msg : String, &) : Nil

##
Instance Method Detail

def evented_close : Nil #
def evented_read(slice : Bytes, errno_msg : String, &) : Int32 #
def evented_reopen : Nil #
def evented_send(slice : Bytes, errno_msg : String, &) : Int32 #
def evented_write(slice : Bytes, errno_msg : String, &) : Nil #